Imports istia.st.articles.domain

Namespace istia.st.cmv.magasin
	Public Class ActionListe
		Inherits AbstractBaseAction

		' liste des articles
		Public Overrides Function execute() As String
			' gestion des erreurs
			Session.erreurs = New ArrayList
			' on demande la liste des articles
			Dim articles As IList
			Try
				Session.articles = Session.articlesDomain.getAllArticles
			Catch ex As Exception
				' on note l'erreur
				Session.erreurs.Add(ex.ToString)
			End Try
			' tat application
			If Session.erreurs.Count <> 0 Then
				' problme
				Return "chec"
			Else
				' c'est bon
				Return "succs"
			End If
		End Function
	End Class
End Namespace