Namespace istia.st.cmv.magasin
	Public Class ActionValiderPanier
		Inherits AbstractBaseAction

		' validation du panier
		Public Overrides Function execute() As String
			' au dpart, pas d'erreurs
			Session.erreurs = New ArrayList
			' on tente de valider le panier
			Try
				Session.articlesDomain.acheter(Session.panier)
				' on note les ventuelles erreurs d'achats
				Session.erreurs = Session.articlesDomain.erreurs
			Catch ex As Exception
				' on note l'erreur
				Session.erreurs.Add(String.Format("Erreur lors de la validation du panier [{0}]", ex.Message))
			End Try
			' tat application
			If Session.erreurs.Count <> 0 Then
				' problme
				Return "chec"
			Else
				' c'est bon
				Return "succs"
			End If
		End Function
	End Class

End Namespace
