
Namespace istia.st.cmv.magasin

	Public Class Session
		' contient les donnes partages par les actions et les vues

		' le service d'accs  la couche mtier
		Private _articlesDomain As istia.st.articles.domain.IArticlesDomain
		' le panier des achats
		Private _panier As istia.st.articles.domain.Panier
		' la liste des articles
		Private _articles As IList
		' un article particulier
		Private _article As istia.st.articles.dao.Article
		' un identifiant d'article
		Private _idArticle As Integer
		' une liste d'erreurs
		Private _erreurs As ArrayList
		' une quantit achete
		Private _qte As Integer
		' les diffrentes options de menu possibles
		Private _etatMenuListe As Boolean
		Private _etatMenuValiderPanier As Boolean
		Private _etatMenuVoirPanier As Boolean
		Private _etatMenuQuitter As Boolean
		' un message  afficher
		Private _message As String

		' proprits publiques associes aux champs privs
		Public Property articlesDomain() As istia.st.articles.domain.IArticlesDomain
			Get
				Return _articlesDomain
			End Get
			Set(ByVal Value As istia.st.articles.domain.IArticlesDomain)
				_articlesDomain = Value
			End Set
		End Property

		Public Property panier() As istia.st.articles.domain.Panier
			Get
				Return _panier
			End Get
			Set(ByVal Value As istia.st.articles.domain.Panier)
				_panier = Value
			End Set
		End Property

		Public Property articles() As IList
			Get
				Return _articles
			End Get
			Set(ByVal Value As IList)
				_articles = Value
			End Set
		End Property

		Public Property idArticle() As Integer
			Get
				Return _idArticle
			End Get
			Set(ByVal Value As Integer)
				_idArticle = Value
			End Set
		End Property

		Public Property article() As istia.st.articles.dao.Article
			Get
				Return _article
			End Get
			Set(ByVal Value As istia.st.articles.dao.Article)
				_article = Value
			End Set
		End Property

		Public Property qte() As Integer
			Get
				Return _qte
			End Get
			Set(ByVal Value As Integer)
				_qte = Value
			End Set
		End Property

		Public Property erreurs() As ArrayList
			Get
				Return _erreurs
			End Get
			Set(ByVal Value As ArrayList)
				_erreurs = Value
			End Set
		End Property

		Public Property message() As String
			Get
				Return _message
			End Get
			Set(ByVal Value As String)
				_message = Value
			End Set
		End Property

		' proprits publiques associes aux options de menu
		Public Property etatMenuListe() As Boolean
			Get
				Return _etatMenuListe
			End Get
			Set(ByVal Value As Boolean)
				_etatMenuListe = Value
			End Set
		End Property

		Public Property etatMenuVoirPanier() As Boolean
			Get
				Return _etatMenuVoirPanier
			End Get
			Set(ByVal Value As Boolean)
				_etatMenuVoirPanier = Value
			End Set
		End Property

		Public Property etatMenuValiderPanier() As Boolean
			Get
				Return _etatMenuValiderPanier
			End Get
			Set(ByVal Value As Boolean)
				_etatMenuValiderPanier = Value
			End Set
		End Property

		Public Property etatMenuQuitter() As Boolean
			Get
				Return _etatMenuQuitter
			End Get
			Set(ByVal Value As Boolean)
				_etatMenuQuitter = Value
			End Set
		End Property

	End Class
End Namespace