Namespace istia.st.cmv.magasin
	Public Class Controleur
		Inherits BaseControleur

		' la session de l'application
		Private _session As session

		Public Property session() As session
			Get
				Return _session
			End Get
			Set(ByVal Value As session)
				_session = Value
			End Set
		End Property

		' init vues
		Protected Overrides Sub initVue(ByVal action As String, ByVal tat As String, ByVal vue As String)
			' on fixe les options de menu de la vue  afficher
			Select Case action
				Case "voirpanier"
					Select Case tat
						Case "panier"
							enable(True, False, True, True)
						Case "paniervide"
							enable(True, False, False, True)
					End Select
				Case "achat"
					enable(True, False, True, True)
				Case "infos"
					Select Case tat
						Case "succs"
							enable(True, False, False, True)
						Case "chec"
							enable(True, False, False, True)
					End Select
				Case "liste"
					Select Case tat
						Case "succs"
							enable(False, True, False, True)
							session.message = ""
						Case "chec"
							enable(True, False, False, True)
					End Select
				Case "retirerachat"
					Select Case tat
						Case "panier"
							enable(True, False, True, True)
						Case "paniervide"
							enable(True, False, False, True)
					End Select
				Case "validerpanier"
					Select Case tat
						Case "chec"
							enable(True, True, False, True)
						Case "succs"
							enable(False, True, False, True)
							session.message = "Validation russie !"
					End Select
			End Select
		End Sub

		Private Sub enable(ByVal etatMenuListe As Boolean, ByVal etatMenuVoirPanier As Boolean, ByVal etatMenuValiderPanier As Boolean, ByVal etatMenuQuitter As Boolean)
			' on fixe l'tat des options du menu
			With session
				.etatMenuListe = etatMenuListe
				.etatMenuVoirPanier = etatMenuVoirPanier
				.etatMenuValiderPanier = etatMenuValiderPanier
				.etatMenuQuitter = etatMenuQuitter
			End With
		End Sub
	End Class

End Namespace
