Imports istia.st.articles.dao
Imports System.Windows.Forms

Namespace istia.st.cmv.magasin
	Public Class Vue_Infos
		Inherits BaseVueAppli

#Region " Code gnr par le Concepteur Windows Form "

		Public Sub New()
			MyBase.New()

			'Cet appel est requis par le Concepteur Windows Form.
			InitializeComponent()

			'Ajoutez une initialisation quelconque aprs l'appel InitializeComponent()

		End Sub

		'La mthode substitue Dispose du formulaire pour nettoyer la liste des composants.
		Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not (components Is Nothing) Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		'Requis par le Concepteur Windows Form
		Private components As System.ComponentModel.IContainer

		'REMARQUE: la procdure suivante est requise par le Concepteur Windows Form
		'Elle peut tre modifie en utilisant le Concepteur Windows Form.  
		'Ne la modifiez pas en utilisant l'diteur de code.
		Friend WithEvents lblID As System.Windows.Forms.Label
		Friend WithEvents GridInfos As LameGrid.Grid
		Friend WithEvents btnAcheter As System.Windows.Forms.Button
		Friend WithEvents NumericUpDownQte As System.Windows.Forms.NumericUpDown
		<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
			Me.lblID = New System.Windows.Forms.Label
			Me.GridInfos = New LameGrid.Grid
			Me.btnAcheter = New System.Windows.Forms.Button
			Me.NumericUpDownQte = New System.Windows.Forms.NumericUpDown
			CType(Me.NumericUpDownQte, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.SuspendLayout()
			'
			'lblID
			'
			Me.lblID.Font = New System.Drawing.Font("Garamond", 14.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
			Me.lblID.Location = New System.Drawing.Point(16, 72)
			Me.lblID.Name = "lblID"
			Me.lblID.Size = New System.Drawing.Size(184, 23)
			Me.lblID.TabIndex = 14
			Me.lblID.Text = "Article d'ID [4]"
			'
			'GridInfos
			'
			Me.GridInfos.AutoRedraw = True
			Me.GridInfos.BackColor = System.Drawing.SystemColors.ControlDark
			Me.GridInfos.ColsCount = 4
			Me.GridInfos.CurrentCol = 0
			Me.GridInfos.CurrentRow = 1
			Me.GridInfos.DockPadding.All = 2
			Me.GridInfos.Editable = False
			Me.GridInfos.FixedColsCount = 0
			Me.GridInfos.FixedRowsCount = 1
			Me.GridInfos.GridLines = LameGrid.GridLinesType.Cell
			Me.GridInfos.Location = New System.Drawing.Point(16, 104)
			Me.GridInfos.Name = "GridInfos"
			Me.GridInfos.ResizableCells = True
			Me.GridInfos.RowsCount = 0
			Me.GridInfos.SelectionMode = LameGrid.SelectionModeType.Cell
			Me.GridInfos.ShowScrollBar = LameGrid.ScrollBarType.Both
			Me.GridInfos.Size = New System.Drawing.Size(424, 80)
			Me.GridInfos.TabIndex = 15
			'
			'btnAcheter
			'
			Me.btnAcheter.Location = New System.Drawing.Point(16, 208)
			Me.btnAcheter.Name = "btnAcheter"
			Me.btnAcheter.TabIndex = 16
			Me.btnAcheter.Text = "Acheter"
			'
			'NumericUpDownQte
			'
			Me.NumericUpDownQte.Location = New System.Drawing.Point(112, 208)
			Me.NumericUpDownQte.Minimum = New Decimal(New Integer() {1, 0, 0, 0})
			Me.NumericUpDownQte.Name = "NumericUpDownQte"
			Me.NumericUpDownQte.Size = New System.Drawing.Size(48, 20)
			Me.NumericUpDownQte.TabIndex = 17
			Me.NumericUpDownQte.Value = New Decimal(New Integer() {1, 0, 0, 0})
			'
			'Vue_Infos
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(448, 253)
			Me.Controls.Add(Me.NumericUpDownQte)
			Me.Controls.Add(Me.btnAcheter)
			Me.Controls.Add(Me.GridInfos)
			Me.Controls.Add(Me.lblID)
			Me.Name = "Vue_Infos"
			Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
			Me.Text = "winarticles : infos"
			Me.Controls.SetChildIndex(Me.lblID, 0)
			Me.Controls.SetChildIndex(Me.GridInfos, 0)
			Me.Controls.SetChildIndex(Me.btnAcheter, 0)
			Me.Controls.SetChildIndex(Me.NumericUpDownQte, 0)
			CType(Me.NumericUpDownQte, System.ComponentModel.ISupportInitialize).EndInit()
			Me.ResumeLayout(False)

		End Sub

#End Region

		' affichage formulaire
		Public Overrides Sub affiche()
			' on nettoie le [LameGrid]
			For i As Integer = GridInfos.RowsCount - 1 To 0 Step -1
				GridInfos.RemoveRow(i)
			Next
			' init formulaire avec les informations d'un article donn
			Dim unArticle As Article = session.article
			' le label
			lblID.Text = String.Format("Article d'ID [{0}]", unArticle.id)
			' l'incrmenteur
			NumericUpDownQte.Value = 1
			' la grille - ligne d'entte
			GridInfos.AddRow()
			GridInfos(0, 0).Text = "Nom"
			GridInfos(0, 1).Text = "Prix"
			GridInfos(0, 2).Text = "Stock actuel"
			GridInfos(0, 3).Text = "Stock minimum"
			GridInfos.Col(0).Width = 50
			GridInfos.Col(1).Width = 50
			GridInfos.Col(2).Width = 100
			GridInfos.Col(3).Width = 100
			' affichage de l'article
			GridInfos.AddRow()
			GridInfos(1, 0).Text = unArticle.nom
			GridInfos(1, 1).Text = unArticle.prix.ToString
			GridInfos(1, 2).Text = unArticle.stockactuel.ToString
			GridInfos(1, 3).Text = unArticle.stockminimum.ToString
			' affichage parent
			MyBase.affiche()
		End Sub

		Private Sub btnAcheter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAcheter.Click
			' achat de l'article affich
			' on note la qt achete
			session.qte = CType(NumericUpDownQte.Value, Integer)
			' on fait excuter l'action
			MyBase.excuteAction("achat")
		End Sub

	End Class
End Namespace