Imports System.Windows.Forms
Imports istia.st.articles.dao
Imports System.Drawing

Namespace istia.st.cmv.magasin
	Public Class Vue_Liste
		Inherits BaseVueAppli

#Region " Code gnr par le Concepteur Windows Form "

		Public Sub New()
			MyBase.New()

			'Cet appel est requis par le Concepteur Windows Form.
			InitializeComponent()
		End Sub

		'La mthode substitue Dispose du formulaire pour nettoyer la liste des composants.
		Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not (components Is Nothing) Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		'Requis par le Concepteur Windows Form
		Private components As System.ComponentModel.IContainer

		'REMARQUE: la procdure suivante est requise par le Concepteur Windows Form
		'Elle peut tre modifie en utilisant le Concepteur Windows Form.  
		'Ne la modifiez pas en utilisant l'diteur de code.
		Friend WithEvents Label2 As System.Windows.Forms.Label
		Friend WithEvents GridArticles As LameGrid.Grid
		Friend WithEvents LabelMessage As System.Windows.Forms.Label
		<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
			Me.Label2 = New System.Windows.Forms.Label
			Me.GridArticles = New LameGrid.Grid
			Me.LabelMessage = New System.Windows.Forms.Label
			Me.SuspendLayout()
			'
			'Label2
			'
			Me.Label2.Font = New System.Drawing.Font("Garamond", 14.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
			Me.Label2.Location = New System.Drawing.Point(16, 80)
			Me.Label2.Name = "Label2"
			Me.Label2.Size = New System.Drawing.Size(240, 23)
			Me.Label2.TabIndex = 14
			Me.Label2.Text = "Liste des articles"
			'
			'GridArticles
			'
			Me.GridArticles.AutoRedraw = True
			Me.GridArticles.BackColor = System.Drawing.SystemColors.ControlDark
			Me.GridArticles.ColsCount = 3
			Me.GridArticles.CurrentCol = 0
			Me.GridArticles.CurrentRow = 1
			Me.GridArticles.DockPadding.All = 2
			Me.GridArticles.Editable = False
			Me.GridArticles.FixedColsCount = 0
			Me.GridArticles.FixedRowsCount = 1
			Me.GridArticles.GridLines = LameGrid.GridLinesType.Cell
			Me.GridArticles.Location = New System.Drawing.Point(16, 112)
			Me.GridArticles.Name = "GridArticles"
			Me.GridArticles.ResizableCells = False
			Me.GridArticles.RowsCount = 0
			Me.GridArticles.SelectionMode = LameGrid.SelectionModeType.Cell
			Me.GridArticles.ShowScrollBar = LameGrid.ScrollBarType.Both
			Me.GridArticles.Size = New System.Drawing.Size(240, 112)
			Me.GridArticles.TabIndex = 15
			'
			'LabelMessage
			'
			Me.LabelMessage.Font = New System.Drawing.Font("Garamond", 14.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
			Me.LabelMessage.Location = New System.Drawing.Point(16, 248)
			Me.LabelMessage.Name = "LabelMessage"
			Me.LabelMessage.Size = New System.Drawing.Size(240, 23)
			Me.LabelMessage.TabIndex = 16
			'
			'Vue_Liste
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(456, 285)
			Me.Controls.Add(Me.LabelMessage)
			Me.Controls.Add(Me.GridArticles)
			Me.Controls.Add(Me.Label2)
			Me.Name = "Vue_Liste"
			Me.Text = "winarticles : liste"
			Me.Controls.SetChildIndex(Me.Label2, 0)
			Me.Controls.SetChildIndex(Me.GridArticles, 0)
			Me.Controls.SetChildIndex(Me.LabelMessage, 0)
			Me.ResumeLayout(False)

		End Sub

#End Region

		' donnes globales
		Dim police As New Font(New FontFamily("Garamond"), 12, FontStyle.Underline)

		' init formulaire
		Public Overrides Sub affiche()
			' nettoyage grille des articles
			For i As Integer = GridArticles.RowsCount - 1 To 0 Step -1
				GridArticles.RemoveRow(i)
			Next
			' remplit la gridarticles avec les lments de la liste [articles]
			Dim articles As IList = session.articles
			' ligne d'entte
			GridArticles.AddRow()
			GridArticles(0, 0).Text = "Nom"
			GridArticles(0, 1).Text = "Prix"
			' affichage de la liste d'articles
			Dim unArticle As Article
			For i As Integer = 0 To articles.Count - 1
				GridArticles.AddRow()
				unArticle = CType(articles(i), Article)
				GridArticles(i + 1, 0).Text = unArticle.nom
				GridArticles(i + 1, 1).Text = unArticle.prix.ToString
				With GridArticles(i + 1, 2)
					.Text = "Info"
					.Font = police
				End With
			Next
			' affichage message
			LabelMessage.Text = session.message
			' affichage parent
			MyBase.affiche()
		End Sub

		' demande d'informations sur un article
		Private Sub GridArticles_Click(ByVal Row As Integer, ByVal Col As Integer, ByVal Header As LameGrid.HeaderInfo) Handles GridArticles.CellClick
			' on ne s'intresse qu' la colonne 2 [Infos]
			' on ne veut pas de la ligne 0 non plus
			If Col <> 2 Or Row = 0 Then Exit Sub
			' on note l'ID de l'article cliqu
			session.idArticle = CType(session.articles(Row - 1), Article).id
			' on fait excuter l'action
			MyBase.excuteAction("infos")
		End Sub

	End Class
End Namespace