Imports istia.st.articles.dao

Namespace istia.st.cmv.magasin
	Public Class ActionInfos
		Inherits AbstractBaseAction

		Public Overrides Function execute() As String
			' gestion des erreurs
			Session.erreurs = New ArrayList
			' on demande l'article de cl id
			Dim unArticle As Article
			Try
				Session.article = Session.articlesDomain.getArticleById(Session.idArticle)
			Catch ex As Exception
				' pb d'accs aux donnes
				Session.erreurs.Add("Problme d'accs aux donnes (" + ex.ToString + ")")
			End Try
			' des erreurs ?
			If Session.erreurs.Count <> 0 Then
				Return "chec"
			End If
			' a-t-on rcupr un article ?
			If Session.article Is Nothing Then
				' l'article n'existe pas
				Session.erreurs.Add(String.Format("L'article d'id={0} n'existe pas", Session.idArticle))
				Return "chec"
			End If
			Return "succs"
		End Function
	End Class
End Namespace