Imports System.Windows.Forms
Imports System.Drawing
Imports istia.st.cmv
Namespace istia.st.cmv.magasin

	Public Class BaseVueAppli
		Inherits BaseVue

#Region " Code gnr par le Concepteur Windows Form "

		Public Sub New()
			MyBase.New()

			'Cet appel est requis par le Concepteur Windows Form.
			InitializeComponent()
		End Sub


		'La mthode substitue Dispose du formulaire pour nettoyer la liste des composants.
		Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not (components Is Nothing) Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		'Requis par le Concepteur Windows Form
		Private components As System.ComponentModel.IContainer

		'REMARQUE: la procdure suivante est requise par le Concepteur Windows Form
		'Elle peut tre modifie en utilisant le Concepteur Windows Form.  
		'Ne la modifiez pas en utilisant l'diteur de code.
		Friend WithEvents GroupBox1 As System.Windows.Forms.GroupBox
		Friend WithEvents MainMenu1 As System.Windows.Forms.MainMenu
		Friend WithEvents MenuActions As System.Windows.Forms.MenuItem
		Friend WithEvents MenuListe As System.Windows.Forms.MenuItem
		Friend WithEvents MenuVoirPanier As System.Windows.Forms.MenuItem
		Friend WithEvents MenuValiderPanier As System.Windows.Forms.MenuItem
		Friend WithEvents MenuQuitter As System.Windows.Forms.MenuItem
		Friend WithEvents LabelTitre As System.Windows.Forms.Label

		<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
			Me.LabelTitre = New System.Windows.Forms.Label
			Me.GroupBox1 = New System.Windows.Forms.GroupBox
			Me.MainMenu1 = New System.Windows.Forms.MainMenu
			Me.MenuActions = New System.Windows.Forms.MenuItem
			Me.MenuListe = New System.Windows.Forms.MenuItem
			Me.MenuVoirPanier = New System.Windows.Forms.MenuItem
			Me.MenuValiderPanier = New System.Windows.Forms.MenuItem
			Me.MenuQuitter = New System.Windows.Forms.MenuItem
			Me.SuspendLayout()
			'
			'LabelTitre
			'
			Me.LabelTitre.Font = New System.Drawing.Font("Garamond", 14.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
			Me.LabelTitre.Location = New System.Drawing.Point(104, 0)
			Me.LabelTitre.Name = "LabelTitre"
			Me.LabelTitre.Size = New System.Drawing.Size(256, 23)
			Me.LabelTitre.TabIndex = 0
			Me.LabelTitre.Text = "Magasin virtuel"
			Me.LabelTitre.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
			'
			'GroupBox1
			'
			Me.GroupBox1.Location = New System.Drawing.Point(24, 32)
			Me.GroupBox1.Name = "GroupBox1"
			Me.GroupBox1.Size = New System.Drawing.Size(424, 16)
			Me.GroupBox1.TabIndex = 1
			Me.GroupBox1.TabStop = False
			'
			'MainMenu1
			'
			Me.MainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuActions})
			'
			'MenuActions
			'
			Me.MenuActions.Index = 0
			Me.MenuActions.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuListe, Me.MenuVoirPanier, Me.MenuValiderPanier, Me.MenuQuitter})
			Me.MenuActions.Text = "Actions"
			'
			'MenuListe
			'
			Me.MenuListe.Index = 0
			Me.MenuListe.Text = "Liste"
			'
			'MenuVoirPanier
			'
			Me.MenuVoirPanier.Index = 1
			Me.MenuVoirPanier.Text = "Voir le panier"
			'
			'MenuValiderPanier
			'
			Me.MenuValiderPanier.Index = 2
			Me.MenuValiderPanier.Text = "Valider le panier"
			'
			'MenuQuitter
			'
			Me.MenuQuitter.Index = 3
			Me.MenuQuitter.Text = "Quitter"
			'
			'BaseVueAppli
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(464, 57)
			Me.Controls.Add(Me.GroupBox1)
			Me.Controls.Add(Me.LabelTitre)
			Me.Menu = Me.MainMenu1
			Me.Name = "BaseVueAppli"
			Me.Text = "entete"
			Me.ResumeLayout(False)

		End Sub

#End Region

		' donnes d'instance
		Private _session As Session

		' proprit publique associe
		Public Property session() As Session
			Get
				Return _session
			End Get
			Set(ByVal Value As Session)
				_session = Value
			End Set
		End Property

		' l'affichage du formulaire
		Public Overrides Sub affiche()
			' le menu
			MenuListe.Visible = session.etatMenuListe
			MenuVoirPanier.Visible = session.etatMenuVoirPanier
			MenuValiderPanier.Visible = session.etatMenuValiderPanier
			MenuQuitter.Visible = session.etatMenuQuitter
			' la position
			Me.StartPosition = FormStartPosition.CenterScreen
			' le titre
			LabelTitre.Text = "Magasin virtuel"
			' on dgle le formulaire
			Me.Enabled = True
			' on affiche la classe parent
			MyBase.affiche()
			' on active le formulaire
			Me.Activate()
		End Sub

		' excution asynchrone
		Protected Sub excuteAction(ByVal action As String)
			' fait excuter [action] par le contrleur
			' le titre
			LabelTitre.Text = "Magasin virtuel : patientez..."
			' on gle le formulaire
			Me.Enabled = False
			' on passe la main  la classe de base
			MyBase.excute(action)
		End Sub

		' les vts du menu
		Private Sub MenuListe_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuListe.Click
			' on excute l'action [liste]
			excuteAction("liste")
		End Sub

		Private Sub MenuVoirPanier_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuVoirPanier.Click
			' on excute l'action [voirpanier]
			excuteAction("voirpanier")
		End Sub

		Private Sub MenuValiderPanier_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuValiderPanier.Click
			' on excute l'action [validerpanier]
			excuteAction("validerpanier")
		End Sub

		Private Sub MenuQuitter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuQuitter.Click
			' on excute l'action [quitter]
			excuteAction("quitter")
		End Sub
	End Class
End Namespace
