Imports System.Windows.Forms
Imports istia.st.articles.dao
Imports istia.st.articles.domain
Imports System.Drawing

Namespace istia.st.cmv.magasin
	Public Class Vue_Panier
		Inherits BaseVueAppli

#Region " Code gnr par le Concepteur Windows Form "

		Public Sub New()
			MyBase.New()

			'Cet appel est requis par le Concepteur Windows Form.
			InitializeComponent()

			'Ajoutez une initialisation quelconque aprs l'appel InitializeComponent()

		End Sub

		'La mthode substitue Dispose du formulaire pour nettoyer la liste des composants.
		Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not (components Is Nothing) Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		'Requis par le Concepteur Windows Form
		Private components As System.ComponentModel.IContainer

		'REMARQUE: la procdure suivante est requise par le Concepteur Windows Form
		'Elle peut tre modifie en utilisant le Concepteur Windows Form.  
		'Ne la modifiez pas en utilisant l'diteur de code.
		Friend WithEvents Label2 As System.Windows.Forms.Label
		Friend WithEvents GridAchats As LameGrid.Grid
		Friend WithEvents LabelMontantPanier As System.Windows.Forms.Label
		<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
			Me.Label2 = New System.Windows.Forms.Label
			Me.GridAchats = New LameGrid.Grid
			Me.LabelMontantPanier = New System.Windows.Forms.Label
			Me.SuspendLayout()
			'
			'Label2
			'
			Me.Label2.Font = New System.Drawing.Font("Garamond", 14.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
			Me.Label2.Location = New System.Drawing.Point(8, 72)
			Me.Label2.Name = "Label2"
			Me.Label2.Size = New System.Drawing.Size(216, 23)
			Me.Label2.TabIndex = 14
			Me.Label2.Text = "Contenu de votre panier"
			'
			'GridAchats
			'
			Me.GridAchats.AutoRedraw = True
			Me.GridAchats.BackColor = System.Drawing.SystemColors.ControlDark
			Me.GridAchats.ColsCount = 5
			Me.GridAchats.CurrentCol = 0
			Me.GridAchats.CurrentRow = 1
			Me.GridAchats.DockPadding.All = 2
			Me.GridAchats.Editable = False
			Me.GridAchats.FixedColsCount = 0
			Me.GridAchats.FixedRowsCount = 1
			Me.GridAchats.GridLines = LameGrid.GridLinesType.Cell
			Me.GridAchats.Location = New System.Drawing.Point(16, 112)
			Me.GridAchats.Name = "GridAchats"
			Me.GridAchats.ResizableCells = False
			Me.GridAchats.RowsCount = 0
			Me.GridAchats.SelectionMode = LameGrid.SelectionModeType.Cell
			Me.GridAchats.ShowScrollBar = LameGrid.ScrollBarType.Both
			Me.GridAchats.Size = New System.Drawing.Size(360, 112)
			Me.GridAchats.TabIndex = 15
			'
			'LabelMontantPanier
			'
			Me.LabelMontantPanier.Font = New System.Drawing.Font("Garamond", 14.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
			Me.LabelMontantPanier.Location = New System.Drawing.Point(16, 248)
			Me.LabelMontantPanier.Name = "LabelMontantPanier"
			Me.LabelMontantPanier.Size = New System.Drawing.Size(360, 23)
			Me.LabelMontantPanier.TabIndex = 16
			Me.LabelMontantPanier.Text = "Montant du panier"
			'
			'Vue_Panier
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(464, 302)
			Me.Controls.Add(Me.LabelMontantPanier)
			Me.Controls.Add(Me.GridAchats)
			Me.Controls.Add(Me.Label2)
			Me.Name = "Vue_Panier"
			Me.Text = "winarticles : panier"
			Me.Controls.SetChildIndex(Me.Label2, 0)
			Me.Controls.SetChildIndex(Me.GridAchats, 0)
			Me.Controls.SetChildIndex(Me.LabelMontantPanier, 0)
			Me.ResumeLayout(False)

		End Sub

#End Region

		' donnes globales
		Dim police As New Font(New FontFamily("Garamond"), 12, FontStyle.Underline)

		' init formulaire
		Public Overrides Sub affiche()
			' nettoyage [LameGrid]
			For i As Integer = GridAchats.RowsCount - 1 To 0 Step -1
				GridAchats.RemoveRow(i)
			Next
			' 
			' init formulaire avec les informations du panier
			Dim monPanier As Panier = session.panier
			' ligne d'entte
			GridAchats.AddRow()
			GridAchats(0, 0).Text = "Article"
			GridAchats(0, 1).Text = "Qt"
			GridAchats(0, 2).Text = "Prix"
			GridAchats(0, 3).Text = "Total"
			GridAchats.Col(0).Width = 50
			GridAchats.Col(1).Width = 50
			GridAchats.Col(2).Width = 50
			GridAchats.Col(3).Width = 50
			' affichage du contenu du panier
			Dim unAchat As Achat
			For i As Integer = 0 To monPanier.achats.Count - 1
				' affichage achat n i
				unAchat = CType(monPanier.achats(i), Achat)
				GridAchats.AddRow()
				GridAchats(i + 1, 0).Text = unAchat.article.nom
				GridAchats(i + 1, 1).Text = unAchat.qte.ToString
				GridAchats(i + 1, 2).Text = unAchat.article.prix.ToString
				GridAchats(i + 1, 3).Text = (unAchat.qte * unAchat.article.prix).ToString
				With GridAchats(i + 1, 4)
					.Text = "Retirer"
					.Font = police
				End With
			Next
			' affichage montant  payer
			LabelMontantPanier.Text = String.Format("Montant du panier : {0} euros", monPanier.totalPanier)
			' affichage parent
			MyBase.affiche()
		End Sub

		' retirer un achat
		Private Sub GridAchats_Click(ByVal Row As Integer, ByVal Col As Integer, ByVal Header As LameGrid.HeaderInfo) Handles GridAchats.CellClick
			' on ne s'intresse qu' la colonne 4 [Retirer]
			' on ne veut pas de la ligne 0 non plus
			If Col <> 4 Or Row = 0 Then Exit Sub
			' on note l'ID de l'article cliqu
			session.idArticle = CType(session.panier.achats(Row - 1), Achat).article.id
			' on excute l'action
			MyBase.excuteAction("retirerachat")
		End Sub

	End Class
End Namespace